package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.CanteenOutsourcerBalance;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface CanteenOutsourcerBalanceService {
	CanteenOutsourcerBalance get(String id);
	boolean exist(String id);
	int insert(CanteenOutsourcerBalance model);
	int update(CanteenOutsourcerBalance model);
	int delete(String id);
	List<CanteenOutsourcerBalance> list();
	CanteenOutsourcerBalance findByPersonId(long personId);
	Page<CanteenOutsourcerBalance> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
}